@charset "UTF-8";
/* CSS Document */

/* SHOPPING Cart */
.cart-hdr {
    border-top: 1px solid #eeeeee;
    font-size: 0.8125rem;
    font-weight: 600;
    padding: 10px 0;
}

.cart .productitemcell {
    height: 50px;
    line-height: 50px;
}

.cart-summary .codes {
    background: #eeeeee none repeat scroll 0 0;
    display: table;
    list-style: outside none none;
    margin: 0 0 20px;
    padding: 20px 0 20px 30px;
    width: 100%;
}

.cart-summary .codes li input {
    float: left;
    width: 46%;
}

.cart-summary .codes li .button-a {
    margin-left: 20px;
    xmargin-top: 2px;
}

.cart-summary .codes li {
    display: table-row;
}

.button-a, .productSubmitInput {
    background-color: #b51f5f;
    border-color: #b51f5f;
    border-radius: 1000px;
    border-style: solid;
    border-width: 0;
    color: #ffffff;
    cursor: pointer;
    display: inline-block;
    font-family: "Lato",Helvetica,Arial,sans-serif;
    font-size: 0.8125rem;
    font-weight: 400;
    letter-spacing: 0.15em;
    line-height: normal;
    margin: 0;
    padding: 0.875rem 1.75rem 0.9375rem;
    position: relative;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    transition: background-color 300ms ease-out 0s;
}

.cart-summary p {
    display: table;
    width: 100%;
}

.cart-summary p strong {
    padding-right: 10px;
    text-align: right;
    width: 75%;
}

.cart-summary p span {
    text-align: right;
}
.cart-summary p > * {
    display: table-cell;
}

.checkout {
    border-top: 1px solid #eeeeee;
    padding: 30px 0;
    text-align: right;
}

/* Shopping cart Preview*/

.cart-top a {
    height: 40px;
    line-height: 40px;
    padding: 0 20px;
    position: relative;
    xtext-transform: uppercase;
}

/*.cart-top a img {
    width: 25px;
}*/

.cart-top a span.crtTxt {
    text-indent: -9999px;
}

 .cart-top a span {
    background-color: #008cba;
	color:white;
    border-radius: 12px;
    display: inline-block;
    font-weight: 600;
    left: 55px;
    line-height: 22px;
    position: absolute;
    text-align: center;
    text-indent: 0;
    width:22px;
	top:-12px;
}

#s_e_card {
    border-radius: 0;
    background-color: #fff;
    font-family: inherit;
    border: 1px solid #ccc;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    color: rgba(0, 0, 0, 0.75);
    font-size: 0.875rem;
    margin: 0 0 1rem 0;
    padding: 0.5rem;
    height: 2.3125rem;
    width: 100%;
}

/* Set the Form as position relative so the absolute positioned spinner centres inside it */
#checkoutContainer{
  position: relative;
}

#checkoutContainerRight , form.form {
  position: static;
}

/* Optional - blur the submitting Form */
/* Ignored by IE 11 */
form.form.form_submitting {
  filter: blur(1px);
}

/* Centre the Spinner Container */
.form_submitting #loadingSpinnerContainer {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Hide the Spinner by default */
#loadingSpinner {
  opacity: 0%;
  display: none; 
}

/* While submitting, show the loading Spinner and run animation*/
.form_submitting #loadingSpinner {
  opacity: 100%;
  display: block;
  width: 120px;
  height: 120px;
  animation-name: spin;
  animation-iteration-count: infinite;
  animation-duration: 3s;
}

/* Define Animation */
@keyframes spin {
  from {
      transform: rotate(1deg);
  }
  80% {
      transform: rotate(360deg);
  }
  to {
      transform: rotate(360deg);
  }
}

